Package uk.ac.starlink.topcat

# Interface CheckBoxStack.Annotator

Enclosing class:
  CheckBoxStack<T>

public static interface CheckBoxStack.Annotator
Defines how to get annotations for check box items.

## Method Summary

Modifier and Type
Method
Description
`Component`
`createAnnotation(Object item)`
Returns a new annotation for the given item.

## Method Details

### createAnnotation

Component createAnnotation(Object item)
Returns a new annotation for the given item.

Parameters:
  `item` - item to be annotated
Returns:
  new annotation component